Bug 862807 - [RFE] allow dots "." in pulp-related objects
[RFE] allow dots "." in pulp-related objects
Status: CLOSED CANTFIX
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Pulp (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity low (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
: FutureFeature
Depends On: 1138418
Blocks: sat6-pulp-future
  Show dependency treegraph
 
Reported: 2012-10-03 11:21 EDT by Garik Khachikyan
Modified: 2017-07-26 15:41 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
: 1138418 (view as bug list)
Environment:
Last Closed: 2017-01-09 14:19:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Pulp Redmine 250 Low CLOSED - WONTFIX Allow dots "." in pulp-related objects 2017-01-09 14:35 EST

  None (edit)
Description Garik Khachikyan 2012-10-03 11:21:28 EDT
Description of problem:
as with recent CFSE 1.1 (puddle3) we have got labels already in place, can we have implemented creation of objects (like: org, environment) with dots please?

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.preparing org (env) creation with dot(s).
2.
3.
  
Actual results:
still complain: 
"Validation Failed:
Name cannot contain characters other than alpha numerals, space,'_', '-'."

Expected results:
as we have labels, let users enjoys dots in names :)

Additional info:
Comment 4 Michael Hrivnak 2017-01-09 14:19:09 EST
As long as Pulp is using mongodb, this is basically impossible for us to do on our side. We can re-visit with Pulp 3, which will use postgresql instead.
Comment 5 pulp-infra@redhat.com 2017-01-09 14:35:16 EST
The Pulp upstream bug status is at CLOSED - WONTFIX. Updating the external tracker on this bug.

Note You need to log in before you can comment on or make changes to this bug.